import os

def _load(config_name, default):
    return os.environ.get(config_name, default)

DEFAULT_GEOCODING_KEY = 'AIzaSyAg6rz9WIBVRKGEo-Zqx9tjDxSTF4Yk6rs'
DEFAULT_FORECAST_KEY = '96b47f43f97fdc8f03d64785b9816c5f'
DEFAULT_CACHE_EXPIRATION_SECONDS = 60 * 60
DEFAULT_GEOCODE_DECIMAL_PLACES = 3
DEFAULT_DB_URL = 'sqlite://'

GEOCODING_KEY = _load('GEOCODING_KEY', DEFAULT_GEOCODING_KEY)

FORECAST_KEY = _load('FORECAST_KEY', DEFAULT_FORECAST_KEY)

CACHE_EXPIRATION_SECONDS = int(
    _load(
        'CACHE_EXPIRATION_SECONDS',DEFAULT_CACHE_EXPIRATION_SECONDS
    )
)

GEOCODE_DECIMAL_PLACES = int(
    _load(
        'GEOCODE_DECIMAL_PLACES', DEFAULT_GEOCODE_DECIMAL_PLACES
    )
)

DB_URL = _load('DB_URL', DEFAULT_DB_URL)
